=== debian/changelog ===
librandomx (1.1.7-4) unstable; urgency=medium

  * fix link with libatomic on armel/mipsel/powerpc;
    closes: bug#961100, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 11:24:40 +0200

librandomx (1.1.7-3) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.0
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Mar 2020 14:47:37 +0100

librandomx (1.1.7-2) unstable; urgency=medium

  * re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Dec 2019 12:45:13 +0100

librandomx (1.1.7-1) experimental; urgency=low

  * initial release
    closes: bug#945953

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Dec 2019 15:35:04 +0100
