=== debian/control ===
Source: librandomx
Section: libs
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cmake,
 d-shlibs,
 debhelper-compat (= 12),
 pandoc <!nodoc>,
 pkg-kde-tools,
Standards-Version: 4.5.0
Homepage: https://github.com/tevador/RandomX
Vcs-Git: https://salsa.debian.org/cryptocoin-team/librandomx.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/librandomx
Rules-Requires-Root: no

Package: librandomx0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: proof of work (PoW) algorithm for CPUs
 RandomX is a proof-of-work (PoW) algorithm
 that is optimized for general-purpose CPUs.
 RandomX uses random code execution (hence the name)
 together with several memory-hard techniques
 to minimize the efficiency advantage of specialized hardware.

Package: librandomx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librandomx0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: proof of work (PoW) algorithm for CPUs - development headers
 RandomX is a proof-of-work (PoW) algorithm
 that is optimized for general-purpose CPUs.
 RandomX uses random code execution (hence the name)
 together with several memory-hard techniques
 to minimize the efficiency advantage of specialized hardware.
 .
 This package provides development headers for RandomX.
