=== debian/changelog ===
librandomx (1.1.9-1ubuntu1) jammy; urgency=medium

  * Adjust symbols for ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 10 Jan 2022 18:00:46 +0000

librandomx (1.1.9-1) unstable; urgency=medium

  [ upstrean ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Sep 2021 15:15:04 +0200

librandomx (1.1.8-3) unstable; urgency=medium

  * update symbols to cover ia64;
    closes: bug#995111, thanks to Age Bosma
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * update git-buildpackage config:
    + use DEP-14 branches debian/latest upstream/latest
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Sep 2021 15:10:34 +0200

librandomx (1.1.8-2) unstable; urgency=medium

  * update symbols file
  * declare compliance with Debian Policy 4.6.0
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Sep 2021 23:44:50 +0200

librandomx (1.1.8-1) experimental; urgency=medium

  [ upstrean ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * fix export DH_OPTIONS

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Aug 2020 08:34:46 +0200
