=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: librandomx
 Section: libs
 Priority: optional
-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  cmake,
  d-shlibs,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pandoc <!nodoc>,
  pkg-kde-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/tevador/RandomX
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/librandomx.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/librandomx
