=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DH_OPTIONS = -O--buildsystem=cmake
+export DH_OPTIONS = -O--buildsystem=cmake
 
 # generate documentation unless nodoc requested
 DOCS_stem = README doc/design doc/specs
@@ -27,9 +27,6 @@
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		debian/tmp/usr/lib/*/*.so
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
 
@@ -43,4 +40,4 @@
 	pandoc --from gfm-raw_html --to plain --output $@ $<
 
 %:
-	dh $@ --with pkgkde_symbolshelper $(DH_OPTIONS:-O%=%)
+	dh $@ --with pkgkde_symbolshelper
