=== debian/changelog ===
librandomx (1.1.10-3) unstable; urgency=medium

  * Patch: Fixed GCC 13 compilation (Closes: #1037735)

 -- Bastian Germann <bage@debian.org>  Thu, 06 Jul 2023 18:16:38 +0200

librandomx (1.1.10-2) unstable; urgency=medium

  * Team upload

  [ Graham Inggs ]
  * Adjust librandomx0.symbols for ppc64el and s390x

 -- Bastian Germann <bage@debian.org>  Tue, 06 Sep 2022 17:33:22 +0200

librandomx (1.1.10-1) unstable; urgency=medium

  * Team upload
  * new release

 -- Bastian Germann <bage@debian.org>  Thu, 18 Aug 2022 23:11:26 +0200
